> ## Documentation Index
> Fetch the complete documentation index at: https://ubicloud.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a PostgreSQL firewall rule



## OpenAPI

````yaml /api-reference/openapi.yml patch /project/{project_id}/location/{location}/postgres/{postgres_database_reference}/firewall-rule/{firewall_rule_id}
openapi: 3.0.3
info:
  description: API for managing resources on Ubicloud
  title: Clover API
  version: 0.1.0
  contact:
    url: https://www.ubicloud.com/
    email: support@ubicloud.com
  license:
    name: GNU Affero General Public License v3.0 (AGPL-3.0)
    url: https://www.gnu.org/licenses/agpl-3.0.en.html
servers:
  - url: https://api.ubicloud.com
security:
  - BearerAuth: []
tags:
  - description: Firewall Operations
    name: Firewall
  - description: Firewall Rule Operations
    name: Firewall Rule
  - description: Inference API Key Operations
    name: Inference Api Key
  - description: Inference Endpoint Operations
    name: Inference Endpoint
  - description: Load Balancer Operations
    name: Load Balancer
  - description: Login Operations
    name: Login
  - description: Machine Image Operations
    name: Machine Image
  - description: Postgres Database Operations
    name: Postgres Database
  - description: Postgres Firewall Rule Operations
    name: Postgres Firewall Rule
  - description: Postgres Metric Destination
    name: Postgres Metric Destination
  - description: Postgres Log Destination
    name: Postgres Log Destination
  - description: Private Subnet Operations
    name: Private Subnet
  - description: Project Operations
    name: Project
  - description: Virtual Machine Operations
    name: Virtual Machine
  - description: Private Location Operations
    name: Private Location
  - description: Kubernetes Cluster Operations
    name: Kubernetes Cluster
  - description: SSH Public Key Operations
    name: SSH Public Key
  - description: GitHub Operations
    name: GitHub
  - description: Audit Log Operations
    name: Audit Log
paths:
  /project/{project_id}/location/{location}/postgres/{postgres_database_reference}/firewall-rule/{firewall_rule_id}:
    parameters:
      - $ref: '#/components/parameters/project_id'
      - $ref: '#/components/parameters/location'
      - $ref: '#/components/parameters/postgres_database_reference'
      - $ref: '#/components/parameters/firewall_rule_id'
    patch:
      tags:
        - Postgres Firewall Rule
      summary: Update a PostgreSQL firewall rule
      operationId: patchLocationPostgresFirewallRule
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                cidr:
                  description: CIDR of the firewall rule
                  type: string
                  nullable: true
                description:
                  description: Description of the firewall rule
                  type: string
                  nullable: true
              additionalProperties: false
      responses:
        '200':
          $ref: '#/components/responses/PostgresFirewallRule'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    project_id:
      description: ID of the project
      in: path
      name: project_id
      required: true
      schema:
        type: string
        example: pjkkmx0f2vke4h36nk9cm8v8q0
        pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
    location:
      description: The Ubicloud location/region
      in: path
      name: location
      required: true
      schema:
        type: string
        example: eu-central-h1
    postgres_database_reference:
      description: Postgres database ID or name
      examples:
        id:
          value: pgn30gjk1d1e2jj34v9x0dq4rp
        name:
          value: postgres-database-name
      in: path
      name: postgres_database_reference
      required: true
      schema:
        $ref: '#/components/schemas/Reference'
    firewall_rule_id:
      description: ID of the firewall rule
      in: path
      name: firewall_rule_id
      required: true
      schema:
        type: string
        example: fraz0q3vbrpa7pkg7zbmah9csn
        pattern: ^fr[0-9a-hj-km-np-tv-z]{24}$
  responses:
    PostgresFirewallRule:
      description: A Postgres Firewall Rule
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PostgresFirewallRule'
    Error:
      description: An error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Reference:
      description: Resource ID or name
      type: string
      pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
    PostgresFirewallRule:
      type: object
      properties:
        cidr:
          description: CIDR of the firewall rule
          type: string
        description:
          description: Port information for the firewall rule
          type: string
        id:
          description: ID of the firewall rule
          type: string
          example: frmjgkgbktw62k53005jpx8tt7
          pattern: ^fr[0-9a-hj-km-np-tv-z]{24}$
        port:
          description: Port for the Postgres firewall rule
          type: integer
      additionalProperties: false
      required:
        - cidr
        - id
    Error:
      type: object
      properties:
        error:
          type: object
          additionalProperties: false
          properties:
            code:
              type: integer
              example: 401
            message:
              type: string
              example: There was an error logging in
            type:
              type: string
              example: InvalidCredentials
            details:
              type: object
              nullable: true
          required:
            - code
            - message
            - type
      additionalProperties: false
      required:
        - error
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````